Subject: Re: bug#10974: [email-masked]

From: [email-masked] (Ludovic Courtès)
Date: Tue, 03 Jul 2012 00:33:50 +0200

Hi,

Alexei Matveev <[email-masked]> skribis:

> I assume there was a reason to introduce scm_to/from_int macros
> and that it gets defined to either -32 or -64 versions depending on
> the build/platform (not sure what else, but Guile packagers know it).
> Using a specific one invites for portability problems or a pre-processor
> mess.

Yes, but it could be that the FORTRAN environment provides info about
sizeof (int) at compile-time, which could be used to wire to the right C
function.

Thanks,
Ludo’.